import { ICellRendererComp, ICellRendererParams } from '@ag-grid-community/core';
import { TextField } from '@genesislcap/foundation-ui';
import { FoundationElement } from '@microsoft/fast-foundation';
interface FuiCellRendererParams extends ICellRendererParams {
    accessor?: string;
    onChange?: (value: string, params: FuiCellRendererParams) => void;
}
export declare class AgTextRenderer extends FoundationElement implements ICellRendererComp {
    textField: TextField;
    textValue: string;
    params: FuiCellRendererParams;
    init(params: FuiCellRendererParams): void;
    getGui(): HTMLElement;
    destroy(): void;
    refresh(params: FuiCellRendererParams): boolean;
    /**
     * On text change handler
     * @param e CustomEvent
     */
    textChanged: (e: any) => void;
}
export declare const textRendererStyles: import("@microsoft/fast-element").ElementStyles;
export declare const getTextRendererTemplate: (designSystem?: string) => import("@microsoft/fast-element").ViewTemplate<AgTextRenderer, any>;
/**
 * The Foundation Text Renderer
 *
 * @public
 * @remarks
 * HTML Element: \<foundation-grid-text-renderer\>
 */
export declare const foundationAgTextRenderer: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<AgTextRenderer, any>;
}>) => import("@microsoft/fast-foundation").FoundationElementRegistry<{
    baseName: string;
    styles: import("@microsoft/fast-element").ElementStyles;
    template: import("@microsoft/fast-element").ViewTemplate<AgTextRenderer, any>;
}, typeof AgTextRenderer>;
export {};
//# sourceMappingURL=text.renderer.d.ts.map