import { CSSVarTokenMap } from '@genesislcap/foundation-ui';
export declare enum AgGridCSSVars {
    foregroundColor = "--ag-foreground-color",
    dataColor = "--ag-data-color",
    secondaryForegroundColor = "--ag-secondary-foreground-color",
    headerForegroundColor = "--ag-header-foreground-color",
    disabledForegroundColor = "--ag-disabled-foreground-color",
    backgroundColor = "--ag-background-color",
    headerBackgroundColor = "--ag-header-background-color",
    subheaderBackgroundColor = "--ag-subheader-background-color",
    subheaderToolbarBackgroundColor = "--ag-subheader-toolbar-background-color",
    controlPanelBackgroundColor = "--ag-control-panel-background-color",
    selectedRowBackgroundColor = "--ag-selected-row-background-color",
    oddRowBackgroundColor = "--ag-odd-row-background-color",
    rowHoverColor = "--ag-row-hover-color",
    rangeSelectionBorderColor = "--ag-range-selection-border-color",
    rangeSelectionBackgroundColor = "--ag-range-selection-background-color",
    selectedTabUnderlineColor = "--ag-selected-tab-underline-color",
    rangeSelectionChartCategoryBackgroundColor = "--ag-range-selection-chart-category-background-color",
    rangeSelectionChartBackgroundColor = "--ag-range-selection-chart-background-color",
    headerCellHoverBackgroundColor = "--ag-header-cell-hover-background-color",
    headerCellMovingBackgroundColor = "--ag-header-cell-moving-background-color",
    chipBackgroundColor = "--ag-chip-background-color",
    borderColor = "--ag-border-color",
    secondaryBorderColor = "--ag-secondary-border-color",
    rowBorderColor = "--ag-row-border-color",
    headerColumnSeparatorColor = "--ag-header-column-separator-color",
    headerColumnResizeHandleColor = "--ag-header-column-resize-handle-color",
    inputBorderColor = "--ag-input-border-color",
    inputDisabledBorderColor = "--ag-input-disabled-border-color",
    inputDisabledBackgroundColor = "--ag-input-disabled-background-color",
    checkboxBackgroundColor = "--ag-checkbox-background-color",
    checkboxCheckedColor = "--ag-checkbox-checked-color",
    checkboxUncheckedColor = "--ag-checkbox-unchecked-color",
    checkboxIndeterminateColor = "--ag-checkbox-indeterminate-color",
    toggleButtonOffBorderColor = "--ag-toggle-button-off-border-color",
    toggleButtonOffBackgroundColor = "--ag-toggle-button-off-background-color",
    toggleButtonOnBorderColor = "--ag-toggle-button-on-border-color",
    toggleButtonOnBackgroundColor = "--ag-toggle-button-on-background-color",
    toggleButtonSwitchBackgroundColor = "--ag-toggle-button-switch-background-color",
    toggleButtonSwitchBorderColor = "--ag-toggle-button-switch-border-color",
    minichartSelectedChartColor = "--ag-minichart-selected-chart-color",
    minichartSelectedPageColor = "--ag-minichart-selected-page-color",
    modalOverlayBackgroundColor = "--ag-modal-overlay-background-color",
    inputFocusBoxShadow = "--ag-input-focus-box-shadow",
    inputFocusBorderColor = "--ag-input-focus-border-color"
}
export declare enum AgGridTheme {
    alpine = "ag-theme-alpine",
    alpineDark = "ag-theme-alpine-dark",
    balham = "ag-theme-balham",
    balhamDark = "ag-theme-balham-dark",
    material = "ag-theme-material"
}
export declare const agThemeTokenMapClassname: (themeName: string) => string;
export declare const agThemeFontsId: (themeName: string) => string;
export declare const agThemeTokenMapCSS: (themeName: string, tokenMap: CSSVarTokenMap<any>) => import("@microsoft/fast-element").ElementStyles;
export type GridComponents = {
    [componentName: string]: any;
};
export declare enum GridProRendererTypes {
    action = "action",
    actionsMenu = "actionsMenu",
    boolean = "boolean",
    text = "text",
    select = "select"
}
//# sourceMappingURL=grid-pro.types.d.ts.map