import { formatDateTimestamp, formatDateTimeTimestamp } from '@genesislcap/foundation-utils';
export function getFilterByFieldType(type) {
    switch (type) {
        // case 'int':
        // case 'long':
        // case 'double':
        // case 'bigdecimal':
        // case 'number':
        //   return 'agNumberColumnFilter';
        // case 'date':
        // case 'datetime':
        //   return 'agDateColumnFilter';
        default:
            return 'agTextColumnFilter';
    }
}
export function getColumnType(metadataType) {
    switch (metadataType === null || metadataType === void 0 ? void 0 : metadataType.toLowerCase()) {
        case 'int':
        case 'long':
        case 'double':
        case 'bigdecimal':
        case 'number':
            return 'numericColumn';
    }
}
export function getFilterParamsByFieldType(type) {
    switch (type) {
        // case FieldTypeEnum.DATE:
        // case FieldTypeEnum.DATETIME: {
        //   return {
        //     comparator: function(filterLocalDateAtMidnight: Date, cellValue: number) {
        //       if (!cellValue) return -1;
        //       const cellValueTime = new Date(cellValue).setHours(0, 0, 0, 0);
        //       const filterValueTime = filterLocalDateAtMidnight.getTime();
        //       if (cellValueTime === filterValueTime) {
        //         return 0;
        //       }
        //       if (cellValueTime < filterValueTime) {
        //         return -1;
        //       }
        //       if (cellValueTime > filterValueTime) {
        //         return 1;
        //       }
        //     },
        //     buttons: ['reset', 'apply'],
        //     closeOnApply: true,
        //     closeOnClear: true,
        //     suppressAndOrCondition: true,
        //     browserDatePicker: true,
        //   };
        // }
        default: {
            return {
                suppressAndOrCondition: true,
                filterOptions: [
                    'contains', // TODO: Temp lock to only have [text-contains] filter
                ],
            };
        }
    }
}
export function dateValueFormatter({ value }) {
    return formatDateTimestamp(value);
}
export function dateTimeValueFormatter({ value }) {
    return formatDateTimeTimestamp(value);
}
// TODO: possible duplicate - need to evaluate the differences
const isoDateTimeSliceEnd = 19;
export function formatDateExtra(epoch) {
    return new Date(epoch)
        .toISOString()
        .slice(0, isoDateTimeSliceEnd)
        .replace(/-/g, '')
        .replace('T', '-');
}
/**
 * The time between allowing the grids to automatically resize.
 * @internal
 */
export const DEBOUNCED_RESIZE_TIME = 5;
